#### 7.10.3.3 lpIsPrime

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  lpIsPrime(G); G an ideal in a Letterplace ring

Return:
  boolean

Purpose:
  Check whether A/<LM(G)> is prime ring,
  alternatively whether <LM(G)> is a prime ideal in A.

Assume:
  - basering is a Letterplace ring
  - G is a Groebner basis

Theory:
  A (two-sided) ideal I in the ring A is prime, if for any a,b in A one has aAb subseteq I implies a in I or b in I.

Note:
  lpIsPrime works with the monomial algebra A/<LM(G)>.
  A positive answer holds for both A/<LM(G)> and A/<G>, while a negative answer applies only to A/<LM(G)> and not necessarily to A/<G>.

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y),dp;
    def R = freeAlgebra(r, 5);
    setring R;
    ideal G = x*x, y*y; // K<x,y>/<xx,yy> is prime
    lpIsPrime(G);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.